/* Os.FsSubs.Ext.Inc */

GetNextFileName: PROCEDURE (pPath, index, pFile) BOOLEAN EXTERNAL;
  DCL (pPath, pFile) PTR;
  DCL index BYTE;
  END;

GetLastFileName: PROCEDURE (pPath, pDest) EXTERNAL;
  DCL (pPath, pDest) PTR;
  END;

GetEntryPoint: PROCEDURE (pPath, mode, pDrive) PTR EXTERNAL;
  DCL (pPath, pDrive) PTR;
  DCL mode BYTE;
  END;
    
DriveNumber: PROCEDURE (char) BYTE EXTERNAL;
  DCL char BYTE;
  END;
    
PageOf: PROCEDURE (a) WORD EXTERNAL;
  DCL a DWORD;
  END;

OffsetOf: PROCEDURE (a) WORD EXTERNAL;
  DCL a DWORD;
  END;

DeleteNotOpenFile: PROCEDURE WORD EXTERNAL;
  END;

GetDirFID: PROCEDURE WORD EXTERNAL;
  END;
    
SlowProgramDevice: PROCEDURE WORD EXTERNAL;
  END;

FastProgramDevice: PROCEDURE WORD EXTERNAL;
  END;

DoGetStatus: PROCEDURE (entryPoint, intAddr, drive, pMsStatus) WORD EXTERNAL;
  DCL drive       BYTE;
  DCL intAddr     BYTE;
  DCL entryPoint  PTR;
  DCL pMsStatus   PTR;
  END;

MakeLegalName: PROCEDURE (pName) BOOLEAN EXTERNAL;
  DCL pName     PTR;
  END;

ReprogramTheDevice: PROCEDURE WORD EXTERNAL;
  END;

OsProgramDevice: PROCEDURE (useMsEntry, pMsEntry) WORD EXTERNAL;
  DCL useMsEntry      BOOLEAN;
  DCL pMsEntry        PTR;
  END;
